---
updatedAt: 2025-07-24T09:34:59.000Z
agentTools:
  projectIndex: https://docs.durianpay.id/llms.txt
---

# E-Wallet Account Inquiry API

The following endpoint can be used to check validity of e-wallet account and account name information

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "durianpay-snap-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.durianpay.id/v1.0"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Content-Type",
        "x-default": "application/json"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "X-TIMESTAMP",
        "x-default": "2024-12-01T18:54:57+07:00"
      },
      "sec2": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer",
        "x-default": ""
      },
      "sec3": {
        "type": "apiKey",
        "in": "header",
        "name": "X-SIGNATURE",
        "x-default": ""
      },
      "sec4": {
        "type": "apiKey",
        "in": "header",
        "name": "X-PARTNER-ID",
        "x-default": ""
      },
      "sec5": {
        "type": "apiKey",
        "in": "header",
        "name": "X-EXTERNAL-ID",
        "x-default": ""
      },
      "sec6": {
        "type": "apiKey",
        "in": "header",
        "name": "CHANNEL-ID",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": [],
      "sec2": [],
      "sec3": [],
      "sec4": [],
      "sec5": [],
      "sec6": []
    }
  ],
  "paths": {
    "/emoney/account-inquiry": {
      "post": {
        "summary": "E-Wallet Account Inquiry API",
        "description": "The following endpoint can be used to check validity of e-wallet account and account name information",
        "operationId": "ewallet-account-inquiry-api",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Indicates the media type of the resource. value: application/json",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-TIMESTAMP",
            "in": "header",
            "description": "Timestamp in ISO8601 format, Example: 2024-05-14T18:54:57+07:00",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Represents Access Token (B2B) of a request; string starts with keyword “Bearer ” followed by Access Token (B2B)",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-SIGNATURE",
            "in": "header",
            "description": "Signature generated by encrypting HTTP method, relative path, access token, minified request body, and timestamp",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-PARTNER-ID",
            "in": "header",
            "description": "Unique ID for a partner given by Durianpay upon completing registration. Its value is same as the X-CLIENT-KEY",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-EXTERNAL-ID",
            "in": "header",
            "description": "Unique messaging reference identifier generated by merchant and should be unique within the same day",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "CHANNEL-ID",
            "in": "header",
            "description": "Device identification on which the API services is currently being accessed by the merchant. Possible value: 95221",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "customerNumber",
                  "amount",
                  "partnerReferenceNo",
                  "additionalInfo"
                ],
                "properties": {
                  "customerNumber": {
                    "type": "string",
                    "description": "The account number of the recipient. *Supported format: (628...) OR (08...)"
                  },
                  "amount": {
                    "type": "object",
                    "description": "JSON object with keys: value and currency. Example: {\"value\": \"20000.00\", \"currency\": \"IDR\"}. You can specify the value as 1, if you don't want to validate amount during validation",
                    "required": [
                      "value",
                      "currency"
                    ],
                    "properties": {
                      "value": {
                        "type": "string",
                        "description": "String representing value of the transaction : \"20000.00\"."
                      },
                      "currency": {
                        "type": "string",
                        "description": "Currency of the transaction: \"IDR\""
                      }
                    }
                  },
                  "partnerReferenceNo": {
                    "type": "string",
                    "description": "Unique transaction identifier on merchant system which assigned to each transaction"
                  },
                  "additionalInfo": {
                    "type": "object",
                    "description": "JSON object with keys: platformCode (bank code of the e-wallet), deviceId, and channel. example: {\"platformCode\": \"gopay\", \"deviceId\": \"1234567\", \"channel\": \"mobilephone\"}",
                    "required": [
                      "platformCode"
                    ],
                    "properties": {
                      "platformCode": {
                        "type": "string",
                        "description": "The bank code of the account. E-wallet Name- Platform Code  Pair: Dana - dana, Gopay - gopay ,Shopeepay - shopeepay, LinkAja - linkaja, OVO - ovo"
                      },
                      "deviceId": {
                        "type": "string",
                        "description": "device id of the request source"
                      },
                      "channel": {
                        "type": "string",
                        "description": "channel of the request source"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "OK": {
                    "value": "{\n    \"additionalInfo\": {\n        \"deviceId\": \"12345679237\",\n        \"channel\": \"mobilephone\",\n        \"platformCode\": \"gopay\"\n    },\n    \"amount\": {\n        \"currency\": \"IDR\",\n        \"value\": \"20000.00\"\n    },\n    \"customerName\": \"Jane Doe\",\n    \"customerNumber\": \"087783146495\",\n    \"responseCode\": \"2003900\",\n    \"responseMessage\": \"Success\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "additionalInfo": {
                      "type": "object",
                      "properties": {
                        "deviceId": {
                          "type": "string",
                          "example": "12345679237"
                        },
                        "channel": {
                          "type": "string",
                          "example": "mobilephone"
                        },
                        "platformCode": {
                          "type": "string",
                          "example": "gopay"
                        }
                      }
                    },
                    "amount": {
                      "type": "object",
                      "properties": {
                        "currency": {
                          "type": "string",
                          "example": "IDR"
                        },
                        "value": {
                          "type": "string",
                          "example": "20000.00"
                        }
                      }
                    },
                    "customerName": {
                      "type": "string",
                      "example": "Jane Doe"
                    },
                    "customerNumber": {
                      "type": "string",
                      "example": "087783146495"
                    },
                    "responseCode": {
                      "type": "string",
                      "example": "2003900"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Success"
                    }
                  }
                }
              }
            }
          },
          "202": {
            "description": "202",
            "content": {
              "application/json": {
                "examples": {
                  "Accepted": {
                    "value": "{\n    \"additionalInfo\": {\n        \"deviceId\": \"12345679237\",\n        \"channel\": \"mobilephone\",\n        \"platformCode\": \"gopay\"\n    },\n    \"amount\": {\n        \"currency\": \"IDR\",\n        \"value\": \"20000.00\"\n    },\n    \"customerNumber\": \"087783146495\",\n    \"responseCode\": \"2023700\",\n    \"responseMessage\": \"Request In Progress\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "additionalInfo": {
                      "type": "object",
                      "properties": {
                        "deviceId": {
                          "type": "string",
                          "example": "12345679237"
                        },
                        "channel": {
                          "type": "string",
                          "example": "mobilephone"
                        },
                        "platformCode": {
                          "type": "string",
                          "example": "gopay"
                        }
                      }
                    },
                    "amount": {
                      "type": "object",
                      "properties": {
                        "currency": {
                          "type": "string",
                          "example": "IDR"
                        },
                        "value": {
                          "type": "string",
                          "example": "20000.00"
                        }
                      }
                    },
                    "customerNumber": {
                      "type": "string",
                      "example": "087783146495"
                    },
                    "responseCode": {
                      "type": "string",
                      "example": "2023700"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Request In Progress"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Bad Request - Invalid Mandatory Field": {
                    "value": "{\n    \"responseCode\": \"4003702\",\n    \"responseMessage\": \"Invalid Mandatory Field customerNumber, additionalInfo.platformCode, amount.value, amount.currency\"\n}"
                  },
                  "Bad Request - Invalid Field Format": {
                    "value": "{\n    \"responseCode\": \"4003701\",\n    \"responseMessage\": \"Invalid Field Format customerNumber, additionalInfo.platformCode, amount.value, amount.currency\"\n}"
                  },
                  "Bad Request - Missing Header": {
                    "value": "{\n    \"responseCode\": \"4003702\",\n    \"responseMessage\": \"Mandatory Field Missing\"\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Bad Request - Invalid Mandatory Field",
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4003702"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Invalid Mandatory Field customerNumber, additionalInfo.platformCode, amount.value, amount.currency"
                        }
                      }
                    },
                    {
                      "title": "Bad Request - Invalid Field Format",
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4003701"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Invalid Field Format customerNumber, additionalInfo.platformCode, amount.value, amount.currency"
                        }
                      }
                    },
                    {
                      "title": "Bad Request - Missing Header",
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4003702"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Mandatory Field Missing"
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Unauthorized - Invalid Token": {
                    "value": "{\n    \"responseCode\": \"4013701\",\n    \"responseMessage\": \"Invalid Token (B2B)\"\n}"
                  },
                  "Unauthorized - Invalid Signature": {
                    "value": "{\n    \"responseCode\": \"4013700\",\n    \"responseMessage\": \"Unauthorized Signature\"\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Unauthorized - Invalid Token",
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4013701"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Invalid Token (B2B)"
                        }
                      }
                    },
                    {
                      "title": "Unauthorized - Invalid Signature",
                      "type": "object",
                      "properties": {
                        "responseCode": {
                          "type": "string",
                          "example": "4013700"
                        },
                        "responseMessage": {
                          "type": "string",
                          "example": "Unauthorized Signature"
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "409": {
            "description": "409",
            "content": {
              "application/json": {
                "examples": {
                  "Conflict": {
                    "value": "{\n    \"responseCode\": \"4093700\",\n    \"responseMessage\": \"Can't use the same X-External-ID\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "responseCode": {
                      "type": "string",
                      "example": "4093700"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Can't use the same X-External-ID"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Internal Server Error": {
                    "value": "{\n    \"responseCode\": \"5003701\",\n    \"responseMessage\": \"Internal Server Error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "responseCode": {
                      "type": "string",
                      "example": "5003701"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Internal Server Error"
                    }
                  }
                }
              }
            }
          },
          "504": {
            "description": "504",
            "content": {
              "application/json": {
                "examples": {
                  "Gateway Timeout": {
                    "value": "{\n    \"responseCode\": \"5043700\",\n    \"responseMessage\": \"Timeout\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "responseCode": {
                      "type": "string",
                      "example": "5043700"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Timeout"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location 'https://api.durianpay.id/v1.0/emoney/account-inquiry' \\\n--header 'X-TIMESTAMP: 2024-05-14T18:54:57+07:00' \\\n--header 'X-SIGNATURE: pCA+q832pxHnTPm1Kdbfu1am37J9XFeGH13JGYqHv7Ww4Tb3Hrc5xRew+4y2tN4wiAPnHmvXcJ1Tyf94jK5gHQ==' \\\n--header 'X-PARTNER-ID: partner_id' \\\n--header 'X-EXTERNAL-ID: random_external_id' \\\n--header 'CHANNEL-ID: channel_id' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJEdXJpYW4gTW9uZXkiLCJleHAiOjE3MTU1OTM3NTYsImlhdCI' \\\n--data '{\n    \"customerNumber\": \"087783146495\",\n    \"partnerReferenceNo\": \"202010290000000000000\",\n    \"amount\": {\n        \"value\": \"20000.00\",\n        \"currency\": \"IDR\"\n    },\n    \"additionalInfo\": {\n        \"deviceId\": \"12345679237\",\n        \"channel\": \"mobilephone\",\n        \"platformCode\": \"gopay\"\n    }\n}'"
            },
            {
              "language": "python",
              "code": "import requests\n\nurl = 'https://api.durianpay.id/v1.0/emoney/account-inquiry'\nheaders = {\n    'X-TIMESTAMP': '2024-05-14T18:54:57+07:00',\n    'X-SIGNATURE': 'pCA+q832pxHnTPm1Kdbfu1am37J9XFeGH13JGYqHv7Ww4Tb3Hrc5xRew+4y2tN4wiAPnHmvXcJ1Tyf94jK5gHQ==',\n    'X-PARTNER-ID': 'partner_id',\n    'X-EXTERNAL-ID': 'random_external_id',\n    'CHANNEL-ID': 'channel_id',\n    'Content-Type': 'application/json',\n    'Authorization': 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJEdXJpYW4gTW9uZXkiLCJleHAiOjE3MTU1OTM3NTYsImlhdCI'\n}\ndata = {\n    \"customerNumber\": \"087783146495\",\n    \"partnerReferenceNo\": \"202010290000000000000\",\n    \"amount\": {\n        \"value\": \"20000.00\",\n        \"currency\": \"IDR\"\n    }\n    \"additionalInfo\": {\n        \"deviceId\": \"12345679237\",\n        \"channel\": \"mobilephone\",\n        \"platformCode\": \"gopay\"\n    }\n}\n\nresponse = requests.post(url, headers=headers, json=data)\nprint(response.json())"
            },
            {
              "language": "java",
              "code": "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\n    \\\"customerNumber\\\": \\\"087783146495\\\",\\n    \\\"partnerReferenceNo\\\": \\\"202010290000000000000\\\",\\n    \\\"additionalInfo\\\": {\\n        \\\"deviceId\\\": \\\"12345679237\\\",\\n        \\\"channel\\\": \\\"mobilephone\\\",\\n    \\\"platformCode\\\": \\\"gopay\\\"\\n    }\\n}\");   \n        \nRequest request = new Request.Builder()\n    .url(\"https://api.durianpay.id/v1.0/emoney/account-inquiry\")\n    .post(body)\n    .addHeader(\"X-TIMESTAMP\", \"2024-05-14T18:54:57+07:00\")\n    .addHeader(\"X-SIGNATURE\", \"pCA+q832pxHnTPm1Kdbfu1am37J9XFeGH13JGYqHv7Ww4Tb3Hrc5xRew+4y2tN4wiAPnHmvXcJ1Tyf94jK5gHQ==\")\n    .addHeader(\"X-PARTNER-ID\", \"partner_id\")\n    .addHeader(\"X-EXTERNAL-ID\", \"random_external_id\")\n    .addHeader(\"CHANNEL-ID\", \"channel_id\")\n    .addHeader(\"Content-Type\", \"application/json\")\n    .addHeader(\"Authorization\", \"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJEdXJpYW4gTW9uZXkiLCJleHAiOjE3MTU1OTM3NTYsImlhdCI\")\n    .build();\n\nResponse response = client.newCall(request).execute();\nSystem.out.println(response.body().string());"
            },
            {
              "language": "javascript",
              "code": "const request = require('request');\n\nconst url = 'https://api.durianpay.id/v1.0/emoney/account-inquiry';\nconst headers = {\n    'X-TIMESTAMP': '2024-05-14T18:54:57+07:00',\n    'X-SIGNATURE': 'pCA+q832pxHnTPm1Kdbfu1am37J9XFeGH13JGYqHv7Ww4Tb3Hrc5xRew+4y2tN4wiAPnHmvXcJ1Tyf94jK5gHQ==',\n    'X-PARTNER-ID': 'partner_id',\n    'X-EXTERNAL-ID': 'random_external_id',\n    'CHANNEL-ID': 'channel_id',\n    'Content-Type': 'application/json',\n    'Authorization': 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJEdXJpYW4gTW9uZXkiLCJleHAiOjE3MTU1OTM3NTYsImlhdCI'\n};\nconst data = {\n    \"customerNumber\": \"087783146495\",\n    \"partnerReferenceNo\": \"202010290000000000000\",\n    \"amount\": {\n        \"value\": \"20000.00\",\n        \"currency\": \"IDR\"\n    }\n    \"additionalInfo\": {\n        \"deviceId\": \"12345679237\",\n        \"channel\": \"mobilephone\",\n        \"platformCode\": \"gopay\"\n    }\n};\n\nrequest.post({\n    url: url,\n    headers: headers,\n    json: data\n}, (error, response, body) => {\n    if (error) {\n        console.error('Error:', error);\n    } else {\n        console.log(body);\n    }\n});"
            },
            {
              "language": "ruby",
              "code": "require 'uri'\nrequire 'net/http'\nrequire 'json'\n\nurl = URI(\"https://api.durianpay.id/v1.0/emoney/account-inquiry\")\n\nhttp = Net::HTTP.new(url.host, url.port)\nhttp.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"X-TIMESTAMP\"] = \"2024-05-14T18:54:57+07:00\"\nrequest[\"X-SIGNATURE\"] = \"pCA+q832pxHnTPm1Kdbfu1am37J9XFeGH13JGYqHv7Ww4Tb3Hrc5xRew+4y2tN4wiAPnHmvXcJ1Tyf94jK5gHQ==\"\nrequest[\"X-PARTNER-ID\"] = \"partner_id\"\nrequest[\"X-EXTERNAL-ID\"] = \"random_external_id\"\nrequest[\"CHANNEL-ID\"] = \"channel_id\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest[\"Authorization\"] = \"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJEdXJpYW4gTW9uZXkiLCJleHAiOjE3MTU1OTM3NTYsImlhdCI\"\n\ndata = {\n    \"customerNumber\": \"087783146495\",\n    \"partnerReferenceNo\": \"202010290000000000000\",\n    \"amount\": {\n        \"value\": \"20000.00\",\n        \"currency\": \"IDR\"\n    }\n    \"additionalInfo\": {\n        \"deviceId\": \"12345679237\",\n        \"channel\": \"mobilephone\",\n        \"platformCode\": \"gopay\"\n    }\n}\n\nrequest.body = data.to_json\n\nresponse = http.request(request)\nputs response.read_body"
            }
          ],
          "samples-languages": [
            "curl",
            "python",
            "java",
            "javascript",
            "ruby"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```